import re
import os

# set directory

the_path = input("From your Finder window, drag your Downloads folder here and hit Enter: ")

os.chdir(the_path[0:-1])

# list files if file name match regex
pattern = r"^\d{3} - .*"
matched_files = []
for filename in os.listdir():
    if re.match(pattern, filename):
        matched_files.append(filename)

print('\n'.join(matched_files))

input("These are the matched files. Hit Enter to rename, or control + c to cancel...")

# remove the number, space, dash and the space (001 - ) from the file name
for filename in matched_files:
    new_filename = re.sub(r"^\d{3} - ", "", filename)
    os.rename(filename, new_filename)

print("Done")